Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.generators
Class ElGamalKeyPairGenerator

    java.lang.Object
      |
      +--org.bouncycastle.crypto.generators.ElGamalKeyPairGenerator

All Implemented Interfaces:
  AsymmetricCipherKeyPairGenerator

public class ElGamalKeyPairGenerator
extends java.lang.Object
implements AsymmetricCipherKeyPairGenerator

a ElGamal key pair generator.

This generates keys consistent for use with ElGamal as described in page 164 of "Handbook of Applied Cryptography".

Constructor Summary
`ElGamalKeyPairGenerator()`

Method Summary
`AsymmetricCipherKeyPair` | `generateKeyPair()` return an AsymmetricCipherKeyPair containing the generated keys.
`void` | `init(KeyGenerationParameters param)` intialise the key pair generator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElGamalKeyPairGenerator

    public ElGamalKeyPairGenerator()

Method Detail

### init

    public void init(KeyGenerationParameters param)

  Description copied from interface: `AsymmetricCipherKeyPairGenerator`
  intialise the key pair generator.
  Specified by:
    `init` in interface `AsymmetricCipherKeyPairGenerator`
  Following copied from interface: `org.bouncycastle.crypto.AsymmetricCipherKeyPairGenerator`
  Parameters:
    `param` - the parameters the key pair is to be initialised with.

### generateKeyPair

    public AsymmetricCipherKeyPair generateKeyPair()

  Description copied from interface: `AsymmetricCipherKeyPairGenerator`
  return an AsymmetricCipherKeyPair containing the generated keys.
  Specified by:
    `generateKeyPair` in interface `AsymmetricCipherKeyPairGenerator`
  Following copied from interface: `org.bouncycastle.crypto.AsymmetricCipherKeyPairGenerator`
  Returns:
    an AsymmetricCipherKeyPair containing the generated keys.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD